Subject: Re: bug#33169: 26.1; emacs hangs when parenthesis entered in comment

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 14:02:03 +0100

Paul Vogel <[email-masked]> writes:

> Editing a C header file and trying to add a doxygen-style comment.  I
> tried to enter an open parenthesis in the comment and emacs hangs.  I
> was able to replicate this multiple times.  I was able to narrow it down
> to these lines being present in the file:
>
> /* make sure LogStorageTable_t is packed */
> COMPILE_TIME_ASSERT(sizeof(LogStorageTable_t) == ((sizeof(LogStorageArea_t) *
>                                                    LOG_STORAGE_NUM) +
>                                                   sizeof(uint16_t)));
>
> /** hang if open parenthesis is pressed here -> 

(This bug report unfortunately got no response at the time.)

I tried reproducing this in Emacs 27 (and 28), and I was unable to.  Do
you still see this bug in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no